<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="zh">
<head>
<!-- Generated by javadoc (15) on Thu Jan 07 21:59:30 CST 2021 -->
<title>D-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2021-01-07">
<meta name="description" content="index: D">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">J</a>&nbsp;<a href="index-6.html">K</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><a href="../util/DBMgr.html" title="class in util"><span class="type-name-link">DBMgr</span></a> - Class in <a href="../util/package-summary.html">util</a></dt>
<dd>
<div class="block">
 The Class DBMgr<br>
 DBMgr類別（class）主要管理與資料庫建立與關閉連線之方法（method），並儲存相關之設定資料<br>
 每個要與資料庫建立連線之類別應該import本類別</div>
</dd>
<dt><span class="member-name-link"><a href="../util/DBMgr.html#%3Cinit%3E()">DBMgr()</a></span> - Constructor for class util.<a href="../util/DBMgr.html" title="class in util">DBMgr</a></dt>
<dd>
<div class="block">實例化（Instantiates）一個新的（new）DBMgr物件</div>
</dd>
<dt><span class="member-name-link"><a href="../app/AccountHelper.html#deleteById(java.lang.String)">deleteById(String)</a></span> - Method in class app.<a href="../app/AccountHelper.html" title="class in app">AccountHelper</a></dt>
<dd>
<div class="block">根據帳號編號刪除帳號資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/KitchenHelper.html#deleteById(java.lang.String)">deleteById(String)</a></span> - Method in class app.<a href="../app/KitchenHelper.html" title="class in app">KitchenHelper</a></dt>
<dd>
<div class="block">根據廚房編號刪除或軟刪除廚房資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/RentHelper.html#deleteById(java.lang.String)">deleteById(String)</a></span> - Method in class app.<a href="../app/RentHelper.html" title="class in app">RentHelper</a></dt>
<dd>
<div class="block">根據租用編號刪除或軟刪除租用資料</div>
</dd>
<dt><span class="member-name-link"><a href="../app/VisaHelper.html#deleteById(java.lang.String)">deleteById(String)</a></span> - Method in class app.<a href="../app/VisaHelper.html" title="class in app">VisaHelper</a></dt>
<dd>
<div class="block">根據信用卡編號刪除或軟刪除信用卡資料</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/AccountController.html#doDelete(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doDelete(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/AccountController.html" title="class in controllers">AccountController</a></dt>
<dd>
<div class="block">處理Http Delete method<br>
 刪除帳號</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/AuthController.html#doDelete(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doDelete(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/AuthController.html" title="class in controllers">AuthController</a></dt>
<dd>
<div class="block">處理 Http Delete method<br>
 處理登出請求</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/KitchenController.html#doDelete(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doDelete(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/KitchenController.html" title="class in controllers">KitchenController</a></dt>
<dd>
<div class="block">處理Http Delete method<br>
 刪除廚房</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/RentController.html#doDelete(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doDelete(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/RentController.html" title="class in controllers">RentController</a></dt>
<dd>
<div class="block">處理Http Delete method<br>
 刪除租用</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/VisaController.html#doDelete(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doDelete(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/VisaController.html" title="class in controllers">VisaController</a></dt>
<dd>
<div class="block">處理Http Delete method<br>
 .</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/AccountController.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doGet(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/AccountController.html" title="class in controllers">AccountController</a></dt>
<dd>
<div class="block">處理Http Get method<br>
 1.</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/AuthController.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doGet(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/AuthController.html" title="class in controllers">AuthController</a></dt>
<dd>
<div class="block">處理 Http Get method<br>
 取得登入資訊(所有頁面)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/KitchenController.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doGet(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/KitchenController.html" title="class in controllers">KitchenController</a></dt>
<dd>
<div class="block">處理Http Get method<br>
 1.</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/RentController.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doGet(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/RentController.html" title="class in controllers">RentController</a></dt>
<dd>
<div class="block">處理Http Get method<br>
 1.</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/TransactionController.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doGet(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/TransactionController.html" title="class in controllers">TransactionController</a></dt>
<dd>
<div class="block">處理Http Get method<br>
 取得交易資訊(交易紀錄、所有交易資訊)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/VisaController.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doGet(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/VisaController.html" title="class in controllers">VisaController</a></dt>
<dd>
<div class="block">處理Http Get method<br>
 1.</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/AccountController.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPost(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/AccountController.html" title="class in controllers">AccountController</a></dt>
<dd>
<div class="block">處理Http Post method<br>
 新增帳號資訊(註冊帳號、新增使用者)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/AuthController.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPost(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/AuthController.html" title="class in controllers">AuthController</a></dt>
<dd>
<div class="block">處理 Http Post method<br>
 處理登入申請</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/KitchenController.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPost(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/KitchenController.html" title="class in controllers">KitchenController</a></dt>
<dd>
<div class="block">處理Http Post method<br>
 新增廚房資訊(新增廚房)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/RentController.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPost(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/RentController.html" title="class in controllers">RentController</a></dt>
<dd>
<div class="block">處理Http Post method<br>
 新增租用資訊(新增廚房)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/TransactionController.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPost(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/TransactionController.html" title="class in controllers">TransactionController</a></dt>
<dd>
<div class="block">處理Http Post method<br>
 新增交易資訊(結清款項)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/VisaController.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPost(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/VisaController.html" title="class in controllers">VisaController</a></dt>
<dd>
<div class="block">處理Http Post method<br>
 新增信用卡資訊(新增信用卡)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/AccountController.html#doPut(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPut(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/AccountController.html" title="class in controllers">AccountController</a></dt>
<dd>
<div class="block">處理Http Put method<br>
 修改帳號資訊(編輯使用者資料、修改密碼)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/KitchenController.html#doPut(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPut(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/KitchenController.html" title="class in controllers">KitchenController</a></dt>
<dd>
<div class="block">處理Http Put method<br>
 修改廚房資訊(編輯廚房)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/RentController.html#doPut(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPut(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/RentController.html" title="class in controllers">RentController</a></dt>
<dd>
<div class="block">處理Http Put method<br>
 修改租用資訊(編輯租用)</div>
</dd>
<dt><span class="member-name-link"><a href="../controllers/VisaController.html#doPut(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)">doPut(HttpServletRequest, HttpServletResponse)</a></span> - Method in class controllers.<a href="../controllers/VisaController.html" title="class in controllers">VisaController</a></dt>
<dd>
<div class="block">處理Http Put method<br>
 編輯信用卡資訊(編輯信用卡)</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">G</a>&nbsp;<a href="index-5.html">J</a>&nbsp;<a href="index-6.html">K</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
